# Uses of Class
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

Packages that use LMImporter.ImportElement
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of LMImporter.ImportElement in org.eclipse.emf.cdo.lm.client

Subclasses of LMImporter.ImportElement in org.eclipse.emf.cdo.lm.client
Modifier and Type
Class
Description
`static final class`
`LMImporter.ImportElement.ImportBinary`
`static final class`
`LMImporter.ImportElement.ImportFolder`
`static class`
`LMImporter.ImportElement.ImportLeaf<CONTENTS>`
`static final class`
`LMImporter.ImportElement.ImportResource`
`static final class`
`LMImporter.ImportElement.ImportText`
Methods in org.eclipse.emf.cdo.lm.client that return LMImporter.ImportElement
Modifier and Type
Method
Description
`LMImporter.ImportElement`
LMImporter.ImportElement.ImportFolder.`getChild(String name)`
`LMImporter.ImportElement`
LMImporter.ImportModule.`getChild(String name)`
Methods in org.eclipse.emf.cdo.lm.client that return types with arguments of type LMImporter.ImportElement
Modifier and Type
Method
Description
`List<LMImporter.ImportElement>`
LMImporter.ImportElement.ImportFolder.`getChildren()`
`List<LMImporter.ImportElement>`
LMImporter.ImportModule.`getChildren()`
Method parameters in org.eclipse.emf.cdo.lm.client with type arguments of type LMImporter.ImportElement
Modifier and Type
Method
Description
`void`
LMImporter.ImportElement.`accept(Consumer<LMImporter.ImportElement> visitor)`
`void`
LMImporter.ImportElement.ImportFolder.`accept(Consumer<LMImporter.ImportElement> visitor)`
`void`
LMImporter.ImportModule.`accept(Consumer<LMImporter.ImportElement> visitor)`